Developers
V1MeCommerceOrders

/v1/me/commerce/orders

POST
/v1/me/commerce/orders
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/me/commerce/orders" \  -H "Content-Type: application/json" \  -d '{    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "acceptTerms": true  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",  "merchantName": "string",  "title": "string",  "terms": "string",  "amountMinor": 0,  "currency": "MYR",  "source": "bill",  "status": "open",  "paymentStatus": "unpaid",  "fulfilmentStatus": "unfulfilled",  "refundedMinor": 0,  "collectionCode": "string",  "billCode": "string",  "settled": true,  "disputed": true,  "createdAt": "string",  "refunds": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "amountMinor": 0,      "reason": "string",      "status": "requested",      "createdAt": "string"    }  ]}